Subject: bug#20198: Question about emacs and DevAssistant

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Mar 2015 10:31:40 -0400

> Can anybody help me with creating "the best" general .emacs file?

We generally try to design the default settings to be "the best" we can.
So from that point of view, "the best" general .emacs would be an empty
.emacs.

Maybe a non-empty .emacs would make sense for DevAssistant by making it
not just "best in general" but "best for a Fedora box", but IIUC this is
normally already done by Fedora's packaging of Emacs, so the best
general .emacs there is still an empty .emacs, IIUC.

Of course, tastes vary, so maybe you should survey your users instead
of asking Emacs developers (who tend to be a rather conservative bunch).

        Stefan